import request from '@/utils/request'

// 查询活码列表
export function listGroupLiveCode(query) {
  return request({
    url: '/qwGroupLiveCode/page',
    method: 'get',
    params: query
  })
}

// 查询活码列表（指定参数版本）
export function pageGroupLiveCode(params) {
  return request({
    url: '/qwGroupLiveCode/page',
    method: 'get',
    params: params
  })
}

// 查询活码详细
export function getGroupLiveCode(id) {
  return request({
    url: '/qwGroupLiveCode/' + id,
    method: 'get'
  })
}

// 新增或修改活码
export function addOrUpdateGroupLiveCode(data) {
  return request({
    url: '/qwGroupLiveCode/addOrUpdate',
    method: 'post',
    data: data
  })
}

// 删除活码
export function delGroupLiveCode(id) {
  return request({
    url: '/qwGroupLiveCode/' + id,
    method: 'delete'
  })
}
